## node-jsconfig 0.1.1~20111212

=== wscript ===
from os.path import dirname, join
import os

topdir = "."
outdir = "build"

class Dummy: pass


def configure(ctx):
    ctx.env.PATH = os.environ['PATH'].split(os.pathsep)
    ctx.env.PATH.append(join(ctx.cwd, "node_modules", "coffee-script", "bin"))
    ctx.find_program("coffee", var="COFFEE", path_list=ctx.env.PATH)
    ctx.env.COFFEE_ARGS = "-co"
    ctx.env.set_variant("default")


def build(ctx):
    env = Dummy()
    env.variant = lambda: ""
    for file in ctx.path.find_dir("src").ant_glob("**/*.coffee", flat=False):
        tgtpath = file.change_ext(".js").bldpath(env)[5:]
        ctx.path.exclusive_build_node(tgtpath)
        ctx(name   = "coffee",
            rule   = "${COFFEE} ${COFFEE_ARGS} %s/%s ${SRC}" % (
                     ctx.env.variant(),dirname(tgtpath)),
            source = file.srcpath()[3:],
            target = tgtpath)

=== debian/changelog ===
node-jsconfig (0.1.1~20111212-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#653057.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 16:15:57 +0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jsconfig
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = jsconfig
libpkgname = node-$(libname)

CDBS_BUILD_DEPENDS += , nodejs-dev, coffeescript
CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli, node-async

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/jsconfig
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
#DEB_UPSTREAM_TARBALL_MD5 = 

DEB_INSTALL_DOCS_ALL += README.md
DEB_INSTALL_EXAMPLES_ALL += example/*

configure/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs/jsconfig node-waf configure

build/$(libpkgname)::
	node-waf build

install/$(libpkgname)::
	node-waf install

DEB_DH_INSTALL_ARGS_$(libpkgname) = build/default/*.js /usr/lib/nodejs/jsconfig
DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js

clean::
	rm -rf build
	rm -f .lock-wscript

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=dodo&project=node-jsconfig .*/v(\d.*).tar.gz

## node-jsconfig 0.1.1

=== debian/changelog ===
node-jsconfig (0.1.1-1) unstable; urgency=low

  * Rerelease using pristine tarball.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 12:59:27 +0700

=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,10 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/jsconfig
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/node-$(libname)
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-#DEB_UPSTREAM_TARBALL_MD5 = 
+DEB_UPSTREAM_TARBALL_MD5 = 6839f94e788f290731fb2cb8cadfe388
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_ALL += example/*

## node-jsconfig 0.2.0

=== debian/changelog ===
node-jsconfig (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Stop depending on node-async.
  * Compile coffeescript manually (upstream switched from node-waf to
    muffin which is not yet in Debian).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Jan 2012 13:00:17 +0100

=== debian/control ===
Source: node-jsconfig
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 coffeescript
Standards-Version: 3.9.2
Homepage: https://github.com/dodo/node-jsconfig
Vcs-Git: git://git.debian.org/git/collab-maint/node-jsconfig
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jsconfig.git

Package: node-jsconfig
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends}
Description: Node async configuration loader with command line support
 Node is an event-based server-side JavaScript engine.
 .
 jsconfig can load config file formats whatever Node can require:
 .
  * by default it's always possible to load `*.js` files
  * if you want to use coffee-script config files, just do a
    require('coffee-script') before and you're able to require
    `*.coffee` files as well
  * since Node 0.5.x it's even possible to require `.*json` files
  * if you're hardcore you can write your config in cpp and compile them
    to `*.node` files
 .
 jsconfig supports defaults, and provides a command-line interface.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 libpkgname = node-$(libname)
 
 CDBS_BUILD_DEPENDS += , nodejs-dev, coffeescript
-CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli, node-async
+CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -33,23 +33,15 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/node-$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 6839f94e788f290731fb2cb8cadfe388
+DEB_UPSTREAM_TARBALL_MD5 = 38b75492d259aa3eb82261199f7ac55b
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_ALL += example/*
 
-configure/$(libpkgname)::
-	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs/jsconfig node-waf configure
-
+# TODO: build-depend on and use muffin
+DEB_DH_INSTALL_ARGS_$(libpkgname) = lib/*.js /usr/lib/nodejs/jsconfig
+DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js
 build/$(libpkgname)::
-	node-waf build
-
-install/$(libpkgname)::
-	node-waf install
-
-DEB_DH_INSTALL_ARGS_$(libpkgname) = build/default/*.js /usr/lib/nodejs/jsconfig
-DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js
-
+	coffee -o lib -c src
 clean::
-	rm -rf build
-	rm -f .lock-wscript
+	rm -rf lib

=== debian/watch ===
version=3
http://githubredir.debian.net/github/dodo/node-jsconfig .*?(\d[^/]*).tar.gz
